Browser Requirements

Basic Browser Requirements

Our site works best with Internet Explorer 7.x or above, AOL 9.x or above, or Firefox 3.x or above. Some features may not work properly if you are using a different browser, and checkout will not be possible. You may download the latest browser versions by following the links below.

Macintosh Users

If you are using Mac OS X 10.4 or above, you may use Apple’s Safari browser. Otherwise, you may need to use a browser such as Firefox to receive advertised discounts and complete your shopping. You may download the latest compatible browsers by following the links below.

Cookies

In order to use the wolfermans.com Website, your Web browser must be set to accept cookies. To set your browser to accept cookies, look under “Preferences” or “Options” in your browser.

Java Scripting

In order to use the wolfermans.com Website, your Web browser must be configured to use “Java Scripting.” To set your browser to use Java Scripting, look under “Preferences” or “Options” in your browser.

Flash

In order to use some aspects of our website (zoom, for instance) you will need to have Adobe Flash Player installed. You may download the latest version by clicking the button below.

Pop-Up Windows

Our site uses pop-up windows to enhance your shopping experience. Please turn off any software that disables such windows, so that you will be able to shop.